package com.ruoyi.tc.mapper.history;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.tc.entity.history.AssetEmailHistory;
import com.ruoyi.tc.entity.request.AssetzcTjRequest;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * 电子邮件资产表(asset_email_cp)表数据库访问层
 *
 * @author makejava
 * @since 2024-11-15 10:03:56
 */
public interface AssetEmailHistoryMapper extends BaseMapper<AssetEmailHistory> {


    /**
     * 电子邮件资产提交记录
     *
     * @param req
     * @return
     */
    @Select("select * from  asset_email_history where task_id= #{req.taskId} and asset_id =#{req.assetId}")
    AssetEmailHistory findByTaskIdandAssetId(@Param("req") AssetzcTjRequest req);
}

