package com.ruoyi.tc.mapper.history;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.tc.entity.history.AssetAppHistory;
import com.ruoyi.tc.entity.request.AssetzcTjRequest;
import org.apache.ibatis.annotations.Select;

/**
 * 资产移动应用程序表(asset_app_history)表数据库访问层
 *
 * @author makejava
 * @since 2024-11-15 10:03:56
 */
public interface AssetAppHistoryMapper extends BaseMapper<AssetAppHistory> {


    /**
     * 资产移动应用程序资产提交记录
     *
     * @param req
     * @return
     */
    @Select("select * from  asset_app_history where task_id= #{req.taskId} and asset_id =#{req.assetId}")
    AssetAppHistory findByTaskIdandAssetId(AssetzcTjRequest req);

}

